---
- name: Assert module with success_msg and fail_msg
  hosts: planetexpress
  connection: ssh
  gather_facts: yes
  
  tasks:

  - name: Install steam locomotive on ALL machines
    debug:
      var: ansible_facts
      
  - name: Assert that the targets are using the correct BIOS
    assert:
       that: ansible_facts.bios_vendor == "SeaBIOS"
       fail_msg: "bios_vendor appears incorrect"
       success_msg: "bios_vendor correct"
